# DataExchange
TKSTEPBase
StepShape

# StepShape_AngularLocation Class Reference

Representation of STEP entity AngularLocation
.

`#include <StepShape_AngularLocation.hxx>`

Inheritance diagram for StepShape_AngularLocation:

[legend]

## Public Member Functions

Standard_EXPORT | StepShape_AngularLocation ()
| Empty constructor .

Standard_EXPORT void

Init (const Handle(TCollection_HAsciiString)&aShapeAspectRelationship_Name, const Standard_Boolean hasShapeAspectRelationship_Description, const Handle(TCollection_HAsciiString)&aShapeAspectRelationship_Description, const Handle(StepRepr_ShapeAspect)&aShapeAspectRelationship_RelatingShapeAspect, const Handle(StepRepr_ShapeAspect)&aShapeAspectRelationship_RelatedShapeAspect, const StepShape_AngleRelator aAngleSelection)

| Initialize all fields (own and inherited) .
Standard_EXPORT StepShape_AngleRelator | AngleSelection () const
| Returns field AngleSelection .
Standard_EXPORT void | SetAngleSelection (const StepShape_AngleRelator AngleSelection)
| Set field AngleSelection .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

StepShape_AngleRelator | theAngleSelection

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_AngularLocation::StepShape_AngularLocation | ( |  | ) |

## Member Function Documentation

Standard_EXPORT StepShape_AngleRelator StepShape_AngularLocation::AngleSelection | ( |  | ) | const

Standard_EXPORT const StepShape_AngularLocation::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepShape_DimensionalLocation.

Standard_EXPORT void StepShape_AngularLocation::Init | ( | const Handle(TCollection_HAsciiString)& | aShapeAspectRelationship_Name,
|  | const Standard_Boolean | hasShapeAspectRelationship_Description,
|  | const Handle(TCollection_HAsciiString)& | aShapeAspectRelationship_Description,
|  | const Handle(StepRepr_ShapeAspect)& | aShapeAspectRelationship_RelatingShapeAspect,
|  | const Handle(StepRepr_ShapeAspect)& | aShapeAspectRelationship_RelatedShapeAspect,
|  | const StepShape_AngleRelator | aAngleSelection
| ) |

Standard_EXPORT void StepShape_AngularLocation::SetAngleSelection | ( | const StepShape_AngleRelator | AngleSelection | ) |

## Field Documentation

StepShape_AngleRelator StepShape_AngularLocation::theAngleSelection `[private]`

The documentation for this class was generated from the following file:

- StepShape_AngularLocation.hxx